Package org.apache.synapse.commons.staxon.core.event

## Class SimpleXMLEventFactory

- java.lang.Object
- - javax.xml.stream.XMLEventFactory
  - - org.apache.synapse.commons.staxon.core.event.SimpleXMLEventFactory

-     public class SimpleXMLEventFactory
      extends XMLEventFactory

  Simple implementation of `XMLEventFactory`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleXMLEventFactory()` |
    `SimpleXMLEventFactory​(Location location)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Attribute` | `createAttribute​(String localName, String value)` |
    `Attribute` | `createAttribute​(String prefix, String namespaceURI, String localName, String value)` |
    `Attribute` | `createAttribute​(QName name, String value)` |
    `Characters` | `createCData​(String content)` |
    `Characters` | `createCharacters​(String content)` |
    `Comment` | `createComment​(String text)` |
    `DTD` | `createDTD​(String dtd)` |
    `EndDocument` | `createEndDocument()` |
    `EndElement` | `createEndElement​(String prefix, String namespaceUri, String localName)` |
    `EndElement` | `createEndElement​(String prefix, String namespaceUri, String localName, Iterator namespaces)` |
    `EndElement` | `createEndElement​(QName name, Iterator namespaces)` |
    `EntityReference` | `createEntityReference​(String name, EntityDeclaration declaration)` |
    `Characters` | `createIgnorableSpace​(String content)` |
    `Namespace` | `createNamespace​(String namespaceURI)` |
    `Namespace` | `createNamespace​(String prefix, String namespaceURI)` |
    `ProcessingInstruction` | `createProcessingInstruction​(String target, String data)` |
    `Characters` | `createSpace​(String content)` |
    `StartDocument` | `createStartDocument()` |
    `StartDocument` | `createStartDocument​(String encoding)` |
    `StartDocument` | `createStartDocument​(String encoding, String version)` |
    `StartDocument` | `createStartDocument​(String encoding, String version, boolean standalone)` |
    `StartElement` | `createStartElement​(String prefix, String namespaceUri, String localName)` |
    `StartElement` | `createStartElement​(String prefix, String namespaceUri, String localName, Iterator attributes, Iterator namespaces)` |
    `StartElement` | `createStartElement​(String prefix, String namespaceUri, String localName, Iterator attributes, Iterator namespaces, NamespaceContext context)` |
    `StartElement` | `createStartElement​(QName name, Iterator attributes, Iterator namespaces)` |
    `void` | `setLocation​(Location location)` |

    - ### Methods inherited from class javax.xml.stream.XMLEventFactory

      `newDefaultFactory, newFactory, newFactory, newInstance, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleXMLEventFactory

          public SimpleXMLEventFactory()

    - #### SimpleXMLEventFactory

          public SimpleXMLEventFactory​(Location location)

  - ### Method Detail

    - #### setLocation

          public void setLocation​(Location location)

      Specified by:
        `setLocation` in class `XMLEventFactory`

    - #### createAttribute

          public Attribute createAttribute​(String prefix,
                                           String namespaceURI,
                                           String localName,
                                           String value)

      Specified by:
        `createAttribute` in class `XMLEventFactory`

    - #### createAttribute

          public Attribute createAttribute​(String localName,
                                           String value)

      Specified by:
        `createAttribute` in class `XMLEventFactory`

    - #### createAttribute

          public Attribute createAttribute​(QName name,
                                           String value)

      Specified by:
        `createAttribute` in class `XMLEventFactory`

    - #### createNamespace

          public Namespace createNamespace​(String namespaceURI)

      Specified by:
        `createNamespace` in class `XMLEventFactory`

    - #### createNamespace

          public Namespace createNamespace​(String prefix,
                                           String namespaceURI)

      Specified by:
        `createNamespace` in class `XMLEventFactory`

    - #### createStartElement

          public StartElement createStartElement​(QName name,
                                                 Iterator attributes,
                                                 Iterator namespaces)

      Specified by:
        `createStartElement` in class `XMLEventFactory`

    - #### createStartElement

          public StartElement createStartElement​(String prefix,
                                                 String namespaceUri,
                                                 String localName)

      Specified by:
        `createStartElement` in class `XMLEventFactory`

    - #### createStartElement

          public StartElement createStartElement​(String prefix,
                                                 String namespaceUri,
                                                 String localName,
                                                 Iterator attributes,
                                                 Iterator namespaces)

      Specified by:
        `createStartElement` in class `XMLEventFactory`

    - #### createStartElement

          public StartElement createStartElement​(String prefix,
                                                 String namespaceUri,
                                                 String localName,
                                                 Iterator attributes,
                                                 Iterator namespaces,
                                                 NamespaceContext context)

      Specified by:
        `createStartElement` in class `XMLEventFactory`

    - #### createEndElement

          public EndElement createEndElement​(QName name,
                                             Iterator namespaces)

      Specified by:
        `createEndElement` in class `XMLEventFactory`

    - #### createEndElement

          public EndElement createEndElement​(String prefix,
                                             String namespaceUri,
                                             String localName)

      Specified by:
        `createEndElement` in class `XMLEventFactory`

    - #### createEndElement

          public EndElement createEndElement​(String prefix,
                                             String namespaceUri,
                                             String localName,
                                             Iterator namespaces)

      Specified by:
        `createEndElement` in class `XMLEventFactory`

    - #### createCharacters

          public Characters createCharacters​(String content)

      Specified by:
        `createCharacters` in class `XMLEventFactory`

    - #### createCData

          public Characters createCData​(String content)

      Specified by:
        `createCData` in class `XMLEventFactory`

    - #### createSpace

          public Characters createSpace​(String content)

      Specified by:
        `createSpace` in class `XMLEventFactory`

    - #### createIgnorableSpace

          public Characters createIgnorableSpace​(String content)

      Specified by:
        `createIgnorableSpace` in class `XMLEventFactory`

    - #### createStartDocument

          public StartDocument createStartDocument()

      Specified by:
        `createStartDocument` in class `XMLEventFactory`

    - #### createStartDocument

          public StartDocument createStartDocument​(String encoding,
                                                   String version,
                                                   boolean standalone)

      Specified by:
        `createStartDocument` in class `XMLEventFactory`

    - #### createStartDocument

          public StartDocument createStartDocument​(String encoding,
                                                   String version)

      Specified by:
        `createStartDocument` in class `XMLEventFactory`

    - #### createStartDocument

          public StartDocument createStartDocument​(String encoding)

      Specified by:
        `createStartDocument` in class `XMLEventFactory`

    - #### createEndDocument

          public EndDocument createEndDocument()

      Specified by:
        `createEndDocument` in class `XMLEventFactory`

    - #### createEntityReference

          public EntityReference createEntityReference​(String name,
                                                       EntityDeclaration declaration)

      Specified by:
        `createEntityReference` in class `XMLEventFactory`

    - #### createComment

          public Comment createComment​(String text)

      Specified by:
        `createComment` in class `XMLEventFactory`

    - #### createProcessingInstruction

          public ProcessingInstruction createProcessingInstruction​(String target,
                                                                   String data)

      Specified by:
        `createProcessingInstruction` in class `XMLEventFactory`

    - #### createDTD

          public DTD createDTD​(String dtd)

      Specified by:
        `createDTD` in class `XMLEventFactory`